Bug 13720 - Potential NULL pointer dereference in SMB2_CLOSE debug call
Potential NULL pointer dereference in SMB2_CLOSE debug call
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-18 10:22 UTC by Guenther Deschner
Modified: 2019-01-10 12:43 UTC (History)
2 users (show)

See Also:


Attachments
patch from master for 4.9 and 4.8 (1.86 KB, patch)
2018-12-19 07:14 UTC, Guenther Deschner
no flags Details
patch from master for 4.9 and 4.8 v2 (1.21 KB, patch)
2018-12-19 07:16 UTC, Guenther Deschner
no flags Details
patch from master for 4.9 and 4.8 v3 (1.33 KB, patch)
2018-12-19 11:34 UTC, Guenther Deschner
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2018-12-18 10:22:32 UTC

    
Comment 1 Guenther Deschner 2018-12-19 07:14:45 UTC
Created attachment 14743 [details]
patch from master for 4.9 and 4.8
Comment 2 Guenther Deschner 2018-12-19 07:16:06 UTC
Created attachment 14744 [details]
patch from master for 4.9 and 4.8 v2
Comment 3 Stefan Metzmacher 2018-12-19 07:39:21 UTC
(In reply to Guenther Deschner from comment #2)

Hi Günther, can you add cherry-pick information
and the missing Reviewed-by: tag?
Comment 4 Guenther Deschner 2018-12-19 11:34:48 UTC
Created attachment 14746 [details]
patch from master for 4.9 and 4.8 v3
Comment 5 Karolin Seeger 2019-01-08 12:09:07 UTC
(In reply to Guenther Deschner from comment #4)
Pushed to autobuild-v4-{9,8}-test.
Comment 6 Karolin Seeger 2019-01-10 12:43:13 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!